/*
Theme Name: Twenty Twenty-Five Child
Theme URI: https://wordpress.org/themes/twentytwentyfive/
Template: twentytwentyfive
Author: Gérard Kieffer
Author URI: https://key4.lu
Description: Twenty Twenty-Five emphasizes simplicity and adaptability. It offers flexible design options, supported by a variety of patterns for different page types, such as services and landing pages, making it ideal for building personal blogs, professional portfolios, online magazines, or business websites. Its templates cater to various blog styles, from text-focused to image-heavy layouts. Additionally, it supports international typography and diverse color palettes, ensuring accessibility and customization for users worldwide.
Tags: one-column,custom-colors,custom-menu,custom-logo,editor-style,featured-images,full-site-editing,block-patterns,rtl-language-support,sticky-post,threaded-comments,translation-ready,wide-blocks,block-styles,style-variations,accessibility-ready,blog,portfolio,news
Version: 1.4.1765917454
Updated: 2025-12-16 20:36:53

*/

/* Complianz Cookie Notice Banner - remove unused link */
div.cmplz-links.cmplz-information {
	display:none;
}

/* Mobile styling */
@media (max-width: 781px) {
	.col-bg-on-mobile {
		background-color: var(--wp--preset--color--accent-2);
		padding: var(--stk--preset--spacing--30);
		border-radius: var(--stk--preset--spacing--20);
	}
	.accueil-illustration1 {
		margin-bottom: var(--wp--preset--spacing--80);
	}
}
/* Heading 3 styling */
h3 {
	border-bottom: 0.25rem dotted var(--wp--preset--color--accent-1);
    display: inline-block;
}	


/* redefine bold */

strong {
	 font-weight: 400;
	}   

/* Google font Material Symbols styles */

.material-symbols-sharp {
  font-variation-settings:
  'FILL' 1,
  'wght' 400,
  'GRAD' 0,
  'opsz' 48
}
     
/* Framed blocks To draw a partial frame around wordpress blocks */
.framed {
  box-shadow:
    150px 150px 0 -140px var(--wp--preset--color--accent-2),
    -150px -150px 0 -140px var(--wp--preset--color--accent-2);
	margin: var(--wp--preset--spacing--20) !important;

}
@media (max-width: 781px) {
.framed {
    box-shadow:
      50px 50px 0 -40px var(--wp--preset--color--accent-2),
      -50px -50px 0 -40px var(--wp--preset--color--accent-2);
	padding: var(--wp--preset--spacing--30) !important;

  }


/* Framed wp-blocks: define padding around frame on mobiles */

div.entry-content {
	padding-left: var(--wp--preset--spacing--20);
    padding-right: var(--wp--preset--spacing--20);
	}
}

/* Liste Nos services - styling */
#nos-services {

    list-style: none;
	padding-inline-start:0;
}
#nos-services ul {
	padding: 0px;
}

#nos-services li {
    background-color: var(--wp--preset--color--accent-5);
	padding: 0.4em 0.6em;
	margin-right:0.8em;
	margin-bottom:0.8em;
    height: fit-content;
	border-radius: 0.5rem;
	font-weight: 400;
}

#nos-services ul li {
	padding: 0px;
	font-weight: 200;
	list-style: none;
	font-size: var(--wp--preset--font-size--medium);
}

/* Change header elements order on mobiles */

@media (max-width: 781px) {
    div#header-row {
		display:flex;
        flex-direction: column;
    }
    
    div#site-identity {
        order: 1;
		justify-content: center;
    }
    
    div#contact-info {
        order: 2;
    }
    
    div#site-navi {
        order: 3;
        justify-content: center;
    }
}
